Bug 1021664 - Red Hat CloudForms rhel-x86_64-server-6-cf-me-2 channel mappings are missing
Red Hat CloudForms rhel-x86_64-server-6-cf-me-2 channel mappings are missing
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager-migration-data (Show other bugs)
6.5
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Alex Wood
John Sefler
:
Depends On:
Blocks: rhsm-rhel66
  Show dependency treegraph
 
Reported: 2013-10-21 14:29 EDT by John Sefler
Modified: 2014-09-11 08:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-29 14:29:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-10-21 14:29:29 EDT
Description of problem:
These non-beta channel mappings for Red Hat CloudForms are missing from subscription-manager-migration-data.
  rhel-x86_64-server-6-cf-me-2
  rhel-x86_64-server-6-cf-me-2-debuginfo


Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.5-1.el6.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# rpm -ql subscription-manager-migration-data | grep mapping
/usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
[root@jsefler-6 ~]# grep cf-me /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-6-cf-me-2-beta: cf-x86_64-6eec371fd3c3-167.pem
rhel-x86_64-server-6-cf-me-2-beta-debuginfo: cf-x86_64-6eec371fd3c3-167.pem


Actual results:
above shows that the beta product cert mappings are present,

Expected results:
but we should also see these non-beta channel mappings...
  rhel-x86_64-server-6-cf-me-2
  rhel-x86_64-server-6-cf-me-2-debuginfo


Additional info:
subscription-manager-migration-data depends on an update to product-certs.json to include these mappings.  Currently these channels are also missing from product-certs.json
http://git.app.eng.bos.redhat.com/rcm/rcm-metadata.git/tree/cdn/product-certs.json?id=HEAD
Comment 1 Dennis Gregorovic 2014-01-08 10:27:11 EST
Yes, these should be included in the next update.

Note You need to log in before you can comment on or make changes to this bug.